// file: $isip/class/algo/CoefficientLabel/clab_01.cc
// version: $Id: clab_01.cc 8251 2002-06-29 18:02:58Z picone $
//

// isip include files
//
#include <Console.h>
#include "CoefficientLabel.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean CoefficientLabel::debug(const unichar* msg_a) const {

  // declare local variables
  //  
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();
  
  // display the algorithm
  //
  output.debugStr(name(), msg_a, L"algorithm_d", ALGO_MAP((long)algorithm_d));
  Console::put(output);

  // display the algorithm
  //
  output.debugStr(name(), msg_a, L"implementation_d",
		  IMPL_MAP((long)implementation_d));
  Console::put(output);

  // display the variable name
  //
  output.debugStr(name(), msg_a, L"variable_d", variable_d);
  Console::put(output);

  // display the type
  //
  output.debugStr(name(), msg_a, L"type_d", TYPE_MAP((long)type_d));
  Console::put(output);

  // display the coef_type
  //
  output.debugStr(name(), msg_a, L"coef_type_d",
		  AlgorithmData::CTYPE_MAP((long)coef_type_d));
  Console::put(output);

  // display the base class
  //
  AlgorithmBase::debug(L"AlgorithmBase");

  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}

